Your submission was sent successfully! Close

CVE-2018-14912

Published: 03 August 2018

cgit_clone_objects in CGit before 1.2.1 has a directory traversal vulnerability when `enable-http-clone=1` is not turned off, as demonstrated by a cgit/cgit.cgi/git/objects/?path=../ request.

Priority

Medium

CVSS 3 base score: 7.5

Status

Package Release Status
cgit
Launchpad, Ubuntu, Debian
Upstream
Released (1.1+git2.10.2-3.1)
Ubuntu 21.10 (Impish Indri) Not vulnerable
(1.1+git2.10.2-3.1)
Ubuntu 21.04 (Hirsute Hippo) Not vulnerable
(1.1+git2.10.2-3.1)
Ubuntu 20.04 LTS (Focal Fossa) Not vulnerable
(1.1+git2.10.2-3.1)
Ubuntu 18.04 LTS (Bionic Beaver)
Released (1.1+git2.10.2-3ubuntu0.1)
Ubuntu 16.04 ESM (Xenial Xerus) Ignored
(end of standard support, was needed)
Ubuntu 14.04 ESM (Trusty Tahr) Does not exist